package org.eclipse.minicrm.client.ui.desktop.outlines;

import java.util.Collection;

import org.eclipse.minicrm.client.ui.desktop.outlines.pages.CompanyTablePage;
import org.eclipse.minicrm.shared.Texts;
import org.eclipse.scout.commons.exception.ProcessingException;
import org.eclipse.scout.rt.client.ui.desktop.outline.AbstractOutline;
import org.eclipse.scout.rt.client.ui.desktop.outline.pages.IPage;

public class StandardOutline extends AbstractOutline {

  @Override
  protected String getConfiguredTitle() {
    return Texts.get("Standard");
  }

  @Override
  protected void execCreateChildPages(Collection<IPage> pageList) throws ProcessingException {
    CompanyTablePage companyTablePage = new CompanyTablePage();

    pageList.add(companyTablePage);

  }
}
