package org.eclipse.minicrm.server.services.common.sql;

import org.eclipse.scout.rt.services.common.jdbc.AbstractDerbySqlService;
import org.eclipse.scout.service.IService;

public class DerbySqlService extends AbstractDerbySqlService implements IService{

  @Override
  protected String getConfiguredJdbcMappingName() {
    return "jdbc:derby:C:\\DerbyDB";
  }

  @Override
  protected long getConfiguredJdbcPoolConnectionBusyTimeout() {
    return 21L;
  }

  @Override
  protected long getConfiguredJdbcPoolConnectionLifetime() {
    return 300L;
  }

  @Override
  protected String getConfiguredPassword() {
    return "minicrm";
  }

  @Override
  protected String getConfiguredUsername() {
    return "minicrm";
  }
}
